Newer Version Available

This content describes an older version of this product. View Latest

FlexiPage

Returns a list of Flexible Pages and their details. Information returned includes Flexible Page regions, the components within each region, and each component’s properties, as well as any associated QuickActions. This resource is available in API version 29.0 and later.

Syntax

URI
To return all the details of a Flexible Page, use /vXX.X/flexiPage/ID of Flexible page.
Formats
JSON, XML
HTTP methods
HEAD, GET
Authentication
Authorization: Bearer token
Parameters
None required

Example

Getting root Flexible Page resource
1curl https://na1.salesforce.com/services/data/v29.0/flexiPage/ -H "Authorization: Bearer token"
Getting a Flexible Page whose ID is 0M0xx0000000001CAA
1curl https://na1.salesforce.com/services/data/v29.0/flexiPage/0M0xx0000000001CAA -H "Authorization: Bearer token"
Example request body for /vXX.X/flexiPage/
none required
Example response body for /vXX.X/flexiPage/
1{
2 "urls" : {
3   "flexiPage" : "/services/data/v29.0/flexiPage",
4   "rowTemplate" : "/services/data/v29.0/flexiPage/{ID}"
5 }
6}
Example request body for /vXX.X/flexiPage/{ID of FlexiPage}
none required
Example response body for /vXX.X/flexiPage/{ID of FlexiPage}

This code example contains quickActionList information. To find out more about quick actions—also known as publisher actions—in the REST API, see Quick Actions and SObject Quick Actions.

Note

1{
2    "name": "DeveloperNameOfFlexiPage",
3    "id": "0M0xx0000000001CAA",
4    "label": "FlexiPage Label",
5    "quickActionList": {
6        "quickActionListItems": [
7            {
8                "type": "Post",
9                "label": "Post",
10                "quickActionName": "FeedItem.TextPost",
11                "targetSobjectType": null,
12                "iconUrl": null,
13                "miniIconUrl": null
14            },
15            {
16                "type": "Create",
17                "label": "testFlexiQuickAction",
18                "quickActionName": "flexiAction",
19                "targetSobjectType": "Contact",
20                "iconUrl": "http://{SALESFORCE-APPSERVER-DOMAIN}/img/icon/contacts32.png",
21                "miniIconUrl": "http://{SALESFORCE-APPSERVER-DOMAIN}/img/icon/contacts16.png"
22            }
23        ]
24    },
25    "regions": [
26        {
27            "name": "main",
28            "components": [
29                {
30                    "properties": [
31                        {
32                            "name": "entityName",
33                            "value": "Account"
34                        },
35                        {
36                            "name": "filterName",
37                            "value": "MyAccounts"
38                        }
39                    ],
40                    "typeName": "filterList",
41                    "typeNamespace": "force"
42                }
43            ]
44        }
45    ]
46}
In the code sample above:
  • name—the name of the region
  • components—an array of Aura components in the region
  • properties—an array of properties for the component
  • typeName—the name of the Aura component
  • typeNamespace—the namespace of the Aura component